SoComposeVec3f(3IV)

NAME
SoComposeVec3f — composes 3D vectors from floating-point values

INHERITS FROM
SoBase > SoFieldContainer > SoEngine > SoComposeVec3f

SYNOPSIS
#include <Inventor/engines/SoCompose.h>

Inputs from class SoComposeVec3f:

SoMFFloat
x
SoMFFloat
y
SoMFFloat
z

Outputs from class SoComposeVec3f:

(SoMFVec3f)
vector

Methods from class SoComposeVec3f:

SoComposeVec3f()

Methods from class SoEngine:

static SoType
getClassTypeId()
virtual int
getOutputs(SoEngineOutputList &list) const
SoEngineOutput *
getOutput(const SbName &outputName) const
SbBool
getOutputName(const SoEngineOutput *output, SbName &outputName) const
SoEngine *
copy() const
static SoEngine *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoEngineList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This engine takes three floating-point inputs and composes a 3D vector.

The input fields can have multiple values, allowing the engine to compose several vectors in parallel. Some inputs may have more values than others. In such cases, the last value of the shorter inputs will be repeated as necessary.

INPUTS
SoMFFloat
x
The x component

SoMFFloat
y
The y component

SoMFFloat
z
The z component.

OUTPUTS
(SoMFVec3f)
vector
Vector composed of x, y, and z.

METHODS

SoComposeVec3f()
Constructor

FILE FORMAT/DEFAULTS
ComposeVec3f {
x	0
y	0
z	0
}

SEE ALSO
SoDecomposeVec3f, SoEngineOutput